// http://java.sun.com/products/jdk/1.2/docs/api/java/io/StreamTokenizer.html
// http://java.sun.com/products/jdk/1.2/docs/api/java/math/BigInteger.html
// http://java.sun.com/products/jdk/1.2/docs/api/java/io/PrintStream.html
// http://java.sun.com/products/jdk/1.2/docs/api/java/text/NumberFormat.html

import java.io.*;
import java.math.*;
import java.text.*;

public class A{
   static StreamTokenizer in = 
      new StreamTokenizer(new InputStreamReader(System.in));

   static PrintStream out = System.out;

   static BigInteger c[] = new BigInteger[500];

   static NumberFormat nf = NumberFormat.getNumberInstance();

   public static double reciprocal(double q) throws Exception {
      return 1/q;
   }


   public static void main(String[] args) throws Exception {
      int i,j,k,n;

      nf.setMinimumFractionDigits(3);
      nf.setMaximumFractionDigits(3);

      for(;;){
         int token = in.nextToken();
         double x;
         if (token != StreamTokenizer.TT_NUMBER) break;
         n = (int) in.nval;
         x = in.nval;

         out.print(x);
         out.print(" ");
         out.print(Integer.toString(n)+"\n");
         out.print(nf.format(reciprocal(x))+" ");
         out.println(n);

         c[0] = BigInteger.valueOf(1);
         c[1] = BigInteger.valueOf(0);

         for (i=2;i<=n+2;i++) c[i] = c[1];

         for (i=0;i<n;i++) {
            c[i+1] = c[i+1].add(c[i]);
            c[i] = c[i].add(c[i]);
            c[i+2] = c[i+2].add(c[i]);
         }
         out.println(c[n].toString());
      }
   }
}
